net.sf.jasperreports.engine.fill

## Class JRFillObjectFactory

- java.lang.Object
- - net.sf.jasperreports.engine.JRAbstractObjectFactory
  - - net.sf.jasperreports.engine.fill.JRFillObjectFactory

- All Implemented Interfaces:
    JRVisitor
  Direct Known Subclasses:
    IconLabelFillObjectFactory, JRFillCrosstabObjectFactory, JRParameterDefaultValuesEvaluator.ObjectFactory

      public class JRFillObjectFactory
      extends JRAbstractObjectFactory

  A factory used to instantiate fill objects based on compiled report objects.
  Version:
    $Id: JRFillObjectFactory.java 6863 2014-02-06 09:59:27Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `JRFillObjectFactory.StylesList`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JRBaseFiller` | `filler`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JRFillObjectFactory(JRBaseFiller filler)`
    `` | `JRFillObjectFactory(JRBaseFiller filler, JRFillExpressionEvaluator expressionEvaluator)`
    `` | `JRFillObjectFactory(JRFillObjectFactory parent, JRFillExpressionEvaluator expressionEvaluator)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `checkUnresolvedReferences()`
    `protected java.util.Set<JRStyle>` | `collectRequestedStyles(java.util.List<JRStyle> externalStyles)`
    `protected void` | `collectUsedStyles(JRStyle style, java.util.Map<JRStyle,java.lang.Object> usedStylesMap, java.util.Map<java.lang.String,JRStyle> allStylesMap)`
    `JRAreaPlot` | `getAreaPlot(JRAreaPlot areaPlot)`
    `protected JRFillBand` | `getBand(JRBand band)`
    `JRBar3DPlot` | `getBar3DPlot(JRBar3DPlot barPlot)`
    `JRBarPlot` | `getBarPlot(JRBarPlot barPlot)`
    `FillMultiAxisData` | `getBidimensionalData(MultiAxisData data)`
    `JRBubblePlot` | `getBubblePlot(JRBubblePlot bubblePlot)`
    `JRCandlestickPlot` | `getCandlestickPlot(JRCandlestickPlot candlestickPlot)`
    `JRCategoryDataset` | `getCategoryDataset(JRCategoryDataset categoryDataset)`
    `JRCategorySeries` | `getCategorySeries(JRCategorySeries categorySeries)`
    `JRChartAxis` | `getChartAxis(JRChartAxis axis)`
    `JRConditionalStyle` | `getConditionalStyle(JRConditionalStyle conditionalStyle, JRStyle style)`
    `JRFillCrosstab.JRFillCrosstabDataset` | `getCrosstabDataset(JRCrosstabDataset dataset, JRFillCrosstab fillCrosstab)`
    `JRFillCrosstabParameter` | `getCrosstabParameter(JRCrosstabParameter parameter)`
    `JRFillDataset` | `getDataset(JRDataset dataset)`
    `JRFillDatasetRun` | `getDatasetRun(JRDatasetRun datasetRun)`
    `protected JRFillChartDataset[]` | `getDatasets()`
    `JRDefaultStyleProvider` | `getDefaultStyleProvider()`
    `protected JRFillElementDataset[]` | `getElementDatasets(JRDataset dataset)`
    `JRExpression` | `getExpression(JRExpression expression, boolean assignNotUsedId)`
    `JRFillExpressionEvaluator` | `getExpressionEvaluator()` Returns the expression evaluator which is to be used by objects created by this factory.
    `protected JRFillField` | `getField(JRField field)`
    `JRBaseFiller` | `getFiller()` Returns the current report filler.
    `JRGanttDataset` | `getGanttDataset(JRGanttDataset ganttDataset)`
    `JRGanttSeries` | `getGanttSeries(JRGanttSeries ganttSeries)`
    `protected JRFillGroup` | `getGroup(JRGroup group)`
    `JRHighLowDataset` | `getHighLowDataset(JRHighLowDataset highLowDataset)`
    `JRHighLowPlot` | `getHighLowPlot(JRHighLowPlot highLowPlot)`
    `JRLinePlot` | `getLinePlot(JRLinePlot linePlot)`
    `JRMeterPlot` | `getMeterPlot(JRMeterPlot meterPlot)`
    `JRMultiAxisPlot` | `getMultiAxisPlot(JRMultiAxisPlot multiAxisPlot)`
    `protected JRFillParameter` | `getParameter(JRParameter parameter)`
    `JRPie3DPlot` | `getPie3DPlot(JRPie3DPlot pie3DPlot)`
    `JRPieDataset` | `getPieDataset(JRPieDataset pieDataset)`
    `JRPiePlot` | `getPiePlot(JRPiePlot piePlot)`
    `JRPieSeries` | `getPieSeries(JRPieSeries pieSeries)`
    `JRFillReportTemplate` | `getReportTemplate(JRReportTemplate template)`
    `protected JRFillSubreportReturnValue` | `getReturnValue(ReturnValue returnValue)`
    `JRScatterPlot` | `getScatterPlot(JRScatterPlot scatterPlot)`
    `protected JRFillSection` | `getSection(JRSection section)`
    `JRBaseStyle` | `getStyle(JRStyle style)`
    `protected JRFillSubreportReturnValue` | `getSubreportReturnValue(JRSubreportReturnValue returnValue)`
    `JRThermometerPlot` | `getThermometerPlot(JRThermometerPlot thermometerPlot)`
    `JRTimePeriodDataset` | `getTimePeriodDataset(JRTimePeriodDataset timePeriodDataset)`
    `JRTimePeriodSeries` | `getTimePeriodSeries(JRTimePeriodSeries timePeriodSeries)`
    `JRTimeSeries` | `getTimeSeries(JRTimeSeries timeSeries)`
    `JRTimeSeriesDataset` | `getTimeSeriesDataset(JRTimeSeriesDataset timeSeriesDataset)`
    `JRTimeSeriesPlot` | `getTimeSeriesPlot(JRTimeSeriesPlot plot)`
    `java.util.List<JRFillDatasetRun>` | `getTrackedDatasetRuns()`
    `JRValueDataset` | `getValueDataset(JRValueDataset valueDataset)`
    `JRFillVariable` | `getVariable(JRVariable variable)`
    `JRXyDataset` | `getXyDataset(JRXyDataset xyDataset)`
    `JRXySeries` | `getXySeries(JRXySeries xySeries)`
    `JRXyzDataset` | `getXyzDataset(JRXyzDataset xyzDataset)`
    `JRXyzSeries` | `getXyzSeries(JRXyzSeries xyzSeries)`
    `void` | `registerDatasetRun(JRFillDatasetRun datasetRun)`
    `void` | `registerDelayedStyleSetter(JRStyleSetter delayedSetter, JRStyleContainer styleContainer)`
    `protected void` | `registerDelayedStyleSetter(JRStyleSetter delayedSetter, java.lang.String styleName)`
    `void` | `registerElementDataset(JRFillElementDataset elementDataset)` Register an element dataset with the report filler.
    `protected void` | `renameExistingStyle(java.lang.String name)`
    `void` | `setStyle(JRStyleSetter setter, JRStyleContainer styleContainer)` Sets a style or a style reference on an object.
    `java.util.List<JRStyle>` | `setStyles(java.util.List<JRStyle> styles)`
    `void` | `trackDatasetRuns()`
    `protected void` | `useDelayedStyle(JRStyle style)`
    `void` | `visitBreak(JRBreak breakElement)`
    `void` | `visitChart(JRChart chart)`
    `void` | `visitComponentElement(JRComponentElement componentElement)` Visits a component wrapper element.
    `void` | `visitCrosstab(JRCrosstab crosstabElement)`
    `void` | `visitElementGroup(JRElementGroup elementGroup)`
    `void` | `visitEllipse(JREllipse ellipse)`
    `void` | `visitFrame(JRFrame frame)`
    `void` | `visitGenericElement(JRGenericElement element)` Visits a generic report element.
    `void` | `visitImage(JRImage image)`
    `void` | `visitLine(JRLine line)`
    `void` | `visitRectangle(JRRectangle rectangle)`
    `void` | `visitStaticText(JRStaticText staticText)`
    `void` | `visitSubreport(JRSubreport subreport)`
    `void` | `visitTextField(JRTextField textField)`

    - ### Methods inherited from class net.sf.jasperreports.engine.JRAbstractObjectFactory

      `get, getExpression, getFont, getVisitResult, put, setVisitResult`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### filler

          protected JRBaseFiller filler

  - ### Constructor Detail

    - #### JRFillObjectFactory

          protected JRFillObjectFactory(JRBaseFiller filler)

    - #### JRFillObjectFactory

          public JRFillObjectFactory(JRBaseFiller filler,
                             JRFillExpressionEvaluator expressionEvaluator)

    - #### JRFillObjectFactory

          public JRFillObjectFactory(JRFillObjectFactory parent,
                             JRFillExpressionEvaluator expressionEvaluator)

  - ### Method Detail

    - #### getExpressionEvaluator

          public JRFillExpressionEvaluator getExpressionEvaluator()

      Returns the expression evaluator which is to be used by objects created by this factory.
      Returns:
        the expression evaluator associated with this factory

    - #### getDatasets

          protected JRFillChartDataset[] getDatasets()

    - #### getElementDatasets

          protected JRFillElementDataset[] getElementDatasets(JRDataset dataset)

    - #### registerDelayedStyleSetter

          protected void registerDelayedStyleSetter(JRStyleSetter delayedSetter,
                                        java.lang.String styleName)

    - #### registerDelayedStyleSetter

          public void registerDelayedStyleSetter(JRStyleSetter delayedSetter,
                                        JRStyleContainer styleContainer)

    - #### getStyle

          public JRBaseStyle getStyle(JRStyle style)

      Specified by:
        `getStyle` in class `JRAbstractObjectFactory`

    - #### renameExistingStyle

          protected void renameExistingStyle(java.lang.String name)

    - #### setStyle

          public void setStyle(JRStyleSetter setter,
                      JRStyleContainer styleContainer)

      Description copied from class: `JRAbstractObjectFactory`
      Sets a style or a style reference on an object.

      If the container includes a style (see `getStyle()`, a copy of this style will be created via `getStyle(JRStyle)` and set on the object.

      In addition to this, the implementation needs to handle the case when the container includes an external style reference (see `getStyleNameReference()`.
      Specified by:
        `setStyle` in class `JRAbstractObjectFactory`
      Parameters:
        `setter` - a setter for the object on which the style should be set.
        `styleContainer` - the original style container
      See Also:
        `JRAbstractObjectFactory.getStyle(JRStyle)`

    - #### getParameter

          protected JRFillParameter getParameter(JRParameter parameter)

    - #### getField

          protected JRFillField getField(JRField field)

    - #### getVariable

          public JRFillVariable getVariable(JRVariable variable)

    - #### getGroup

          protected JRFillGroup getGroup(JRGroup group)

    - #### getSection

          protected JRFillSection getSection(JRSection section)

    - #### getBand

          protected JRFillBand getBand(JRBand band)

    - #### visitElementGroup

          public void visitElementGroup(JRElementGroup elementGroup)

    - #### visitBreak

          public void visitBreak(JRBreak breakElement)

    - #### visitLine

          public void visitLine(JRLine line)

    - #### visitRectangle

          public void visitRectangle(JRRectangle rectangle)

    - #### visitEllipse

          public void visitEllipse(JREllipse ellipse)

    - #### visitImage

          public void visitImage(JRImage image)

    - #### visitStaticText

          public void visitStaticText(JRStaticText staticText)

    - #### visitTextField

          public void visitTextField(JRTextField textField)

    - #### visitSubreport

          public void visitSubreport(JRSubreport subreport)

    - #### visitChart

          public void visitChart(JRChart chart)

    - #### getPieDataset

          public JRPieDataset getPieDataset(JRPieDataset pieDataset)

      Specified by:
        `getPieDataset` in class `JRAbstractObjectFactory`

    - #### getPiePlot

          public JRPiePlot getPiePlot(JRPiePlot piePlot)

      Specified by:
        `getPiePlot` in class `JRAbstractObjectFactory`

    - #### getPie3DPlot

          public JRPie3DPlot getPie3DPlot(JRPie3DPlot pie3DPlot)

      Specified by:
        `getPie3DPlot` in class `JRAbstractObjectFactory`

    - #### getCategoryDataset

          public JRCategoryDataset getCategoryDataset(JRCategoryDataset categoryDataset)

      Specified by:
        `getCategoryDataset` in class `JRAbstractObjectFactory`

    - #### getXyzDataset

          public JRXyzDataset getXyzDataset(JRXyzDataset xyzDataset)

      Specified by:
        `getXyzDataset` in class `JRAbstractObjectFactory`

    - #### getXyDataset

          public JRXyDataset getXyDataset(JRXyDataset xyDataset)

    - #### getTimeSeriesDataset

          public JRTimeSeriesDataset getTimeSeriesDataset(JRTimeSeriesDataset timeSeriesDataset)

      Specified by:
        `getTimeSeriesDataset` in class `JRAbstractObjectFactory`

    - #### getTimePeriodDataset

          public JRTimePeriodDataset getTimePeriodDataset(JRTimePeriodDataset timePeriodDataset)

      Specified by:
        `getTimePeriodDataset` in class `JRAbstractObjectFactory`

    - #### getGanttDataset

          public JRGanttDataset getGanttDataset(JRGanttDataset ganttDataset)

    - #### getPieSeries

          public JRPieSeries getPieSeries(JRPieSeries pieSeries)

      Specified by:
        `getPieSeries` in class `JRAbstractObjectFactory`

    - #### getCategorySeries

          public JRCategorySeries getCategorySeries(JRCategorySeries categorySeries)

      Specified by:
        `getCategorySeries` in class `JRAbstractObjectFactory`

    - #### getXyzSeries

          public JRXyzSeries getXyzSeries(JRXyzSeries xyzSeries)

      Specified by:
        `getXyzSeries` in class `JRAbstractObjectFactory`

    - #### getXySeries

          public JRXySeries getXySeries(JRXySeries xySeries)

    - #### getGanttSeries

          public JRGanttSeries getGanttSeries(JRGanttSeries ganttSeries)

    - #### getBarPlot

          public JRBarPlot getBarPlot(JRBarPlot barPlot)

      Specified by:
        `getBarPlot` in class `JRAbstractObjectFactory`

    - #### getTimeSeries

          public JRTimeSeries getTimeSeries(JRTimeSeries timeSeries)

      Specified by:
        `getTimeSeries` in class `JRAbstractObjectFactory`

    - #### getTimePeriodSeries

          public JRTimePeriodSeries getTimePeriodSeries(JRTimePeriodSeries timePeriodSeries)

      Specified by:
        `getTimePeriodSeries` in class `JRAbstractObjectFactory`

    - #### getBar3DPlot

          public JRBar3DPlot getBar3DPlot(JRBar3DPlot barPlot)

      Specified by:
        `getBar3DPlot` in class `JRAbstractObjectFactory`

    - #### getLinePlot

          public JRLinePlot getLinePlot(JRLinePlot linePlot)

      Specified by:
        `getLinePlot` in class `JRAbstractObjectFactory`

    - #### getScatterPlot

          public JRScatterPlot getScatterPlot(JRScatterPlot scatterPlot)

    - #### getAreaPlot

          public JRAreaPlot getAreaPlot(JRAreaPlot areaPlot)

      Specified by:
        `getAreaPlot` in class `JRAbstractObjectFactory`

    - #### getBubblePlot

          public JRBubblePlot getBubblePlot(JRBubblePlot bubblePlot)

      Specified by:
        `getBubblePlot` in class `JRAbstractObjectFactory`

    - #### getHighLowDataset

          public JRHighLowDataset getHighLowDataset(JRHighLowDataset highLowDataset)

    - #### getHighLowPlot

          public JRHighLowPlot getHighLowPlot(JRHighLowPlot highLowPlot)

    - #### getCandlestickPlot

          public JRCandlestickPlot getCandlestickPlot(JRCandlestickPlot candlestickPlot)

      Specified by:
        `getCandlestickPlot` in class `JRAbstractObjectFactory`

    - #### getTimeSeriesPlot

          public JRTimeSeriesPlot getTimeSeriesPlot(JRTimeSeriesPlot plot)

    - #### getValueDataset

          public JRValueDataset getValueDataset(JRValueDataset valueDataset)

    - #### getMeterPlot

          public JRMeterPlot getMeterPlot(JRMeterPlot meterPlot)

    - #### getThermometerPlot

          public JRThermometerPlot getThermometerPlot(JRThermometerPlot thermometerPlot)

    - #### getMultiAxisPlot

          public JRMultiAxisPlot getMultiAxisPlot(JRMultiAxisPlot multiAxisPlot)

    - #### getSubreportReturnValue

          protected JRFillSubreportReturnValue getSubreportReturnValue(JRSubreportReturnValue returnValue)

    - #### getReturnValue

          protected JRFillSubreportReturnValue getReturnValue(ReturnValue returnValue)

    - #### visitCrosstab

          public void visitCrosstab(JRCrosstab crosstabElement)

    - #### getCrosstabDataset

          public JRFillCrosstab.JRFillCrosstabDataset getCrosstabDataset(JRCrosstabDataset dataset,
                                                                JRFillCrosstab fillCrosstab)

    - #### getDataset

          public JRFillDataset getDataset(JRDataset dataset)

    - #### registerElementDataset

          public void registerElementDataset(JRFillElementDataset elementDataset)

      Register an element dataset with the report filler.

      Registration of element datasets is required in order for the filler to increment the datasets when iterating through the datasource.

      Parameters:
        `elementDataset` - the dataset to register

    - #### trackDatasetRuns

          public void trackDatasetRuns()

    - #### registerDatasetRun

          public void registerDatasetRun(JRFillDatasetRun datasetRun)

    - #### getTrackedDatasetRuns

          public java.util.List<JRFillDatasetRun> getTrackedDatasetRuns()

    - #### getDatasetRun

          public JRFillDatasetRun getDatasetRun(JRDatasetRun datasetRun)

    - #### getCrosstabParameter

          public JRFillCrosstabParameter getCrosstabParameter(JRCrosstabParameter parameter)

    - #### visitFrame

          public void visitFrame(JRFrame frame)

    - #### getFiller

          public JRBaseFiller getFiller()

      Returns the current report filler.
      Returns:
        the current report filler

    - #### getConditionalStyle

          public JRConditionalStyle getConditionalStyle(JRConditionalStyle conditionalStyle,
                                               JRStyle style)

      Specified by:
        `getConditionalStyle` in class `JRAbstractObjectFactory`

    - #### getExpression

          public JRExpression getExpression(JRExpression expression,
                                   boolean assignNotUsedId)

      Specified by:
        `getExpression` in class `JRAbstractObjectFactory`

    - #### getChartAxis

          public JRChartAxis getChartAxis(JRChartAxis axis)

    - #### getReportTemplate

          public JRFillReportTemplate getReportTemplate(JRReportTemplate template)

    - #### setStyles

          public java.util.List<JRStyle> setStyles(java.util.List<JRStyle> styles)

    - #### collectRequestedStyles

          protected java.util.Set<JRStyle> collectRequestedStyles(java.util.List<JRStyle> externalStyles)

    - #### collectUsedStyles

          protected void collectUsedStyles(JRStyle style,
                               java.util.Map<JRStyle,java.lang.Object> usedStylesMap,
                               java.util.Map<java.lang.String,JRStyle> allStylesMap)

    - #### useDelayedStyle

          protected void useDelayedStyle(JRStyle style)

    - #### checkUnresolvedReferences

          protected void checkUnresolvedReferences()

    - #### getDefaultStyleProvider

          public JRDefaultStyleProvider getDefaultStyleProvider()

    - #### visitComponentElement

          public void visitComponentElement(JRComponentElement componentElement)

      Description copied from interface: `JRVisitor`
      Visits a component wrapper element.
      Parameters:
        `componentElement` - the element to visit

    - #### visitGenericElement

          public void visitGenericElement(JRGenericElement element)

      Description copied from interface: `JRVisitor`
      Visits a generic report element.
      Parameters:
        `element` - the element to visit

    - #### getBidimensionalData

          public FillMultiAxisData getBidimensionalData(MultiAxisData data)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com